Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Visibility.pidl File Reference

## Namespaces
namespace | CORBA
## Typedefs
typedef short | Visibility
## Variables
const Visibility | PRIVATE_MEMBER = 0
const Visibility | PUBLIC_MEMBER = 1

## Detailed Description

Id
  Visibility.pidl,v 1.5 2005/07/04 13:05:58 jwillemsen Exp

This file was used to generate the code in VisibiltyC.* The command used to generate code is:

tao_idl -o orig -SS -Ge 1 -Sc -Sci -Wb,export_macro=TAO_Export -Wb,export_include="tao/TAO_Export.h" -Wb,pre_include="ace/pre.h" -Wb,post_include="ace/post.h" Visibilty.pidl

## Typedef Documentation

typedef CORBA::Short CORBA::Visibility

## Variable Documentation

const CORBA::Visibility CORBA::PRIVATE_MEMBER = 0

const CORBA::Visibility CORBA::PUBLIC_MEMBER = 1